<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchEvaluation: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchEvaluation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;<ul>
<li>CalcValues()
: <a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html#a344bd40cd578d77fa2af6e3863783f34">SemanticSearchEvaluation.ApproachComparison</a>
</li>
<li>GetArguments()
: <a class="el" href="class_semantic_search_evaluation_1_1_bif_contains_search.html#a290c8129b577040c27964c9e574f9480">SemanticSearchEvaluation.BifContainsSearch</a>
, <a class="el" href="class_semantic_search_evaluation_1_1_empty_search.html#a3a9eef79a5ecf0e21d2a99cefa9d5ff3">SemanticSearchEvaluation.EmptySearch</a>
, <a class="el" href="class_semantic_search_evaluation_1_1_regex_search.html#a5c5497e7298c7a7f99f02f43aaa225f4">SemanticSearchEvaluation.RegexSearch</a>
, <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a4b560b4e0d66a0213ed0e5a0aada6d13">SemanticSearchEvaluation.SearchApproach</a>
</li>
<li>GetGraph()
: <a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a3318726ad83ec4a4f0881e0e09f7c499">SemanticSearchEvaluation.VirtuosoConnector</a>
</li>
<li>GetName()
: <a class="el" href="class_semantic_search_evaluation_1_1_bif_contains_search.html#a1845335930bd419244cef6baf44cde0e">SemanticSearchEvaluation.BifContainsSearch</a>
, <a class="el" href="class_semantic_search_evaluation_1_1_empty_search.html#a16c2658a9e171535ae824155f32c1d7e">SemanticSearchEvaluation.EmptySearch</a>
, <a class="el" href="class_semantic_search_evaluation_1_1_regex_search.html#af4770e1301d6716be4e7cc905d4bdf23">SemanticSearchEvaluation.RegexSearch</a>
, <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a309037aeaa9d9bf1dc94ee039e0f7f04">SemanticSearchEvaluation.SearchApproach</a>
</li>
<li>GetPath()
: <a class="el" href="class_semantic_search_evaluation_1_1_bif_contains_search.html#a452553657ed0b42d1d130f2cc215dacd">SemanticSearchEvaluation.BifContainsSearch</a>
, <a class="el" href="class_semantic_search_evaluation_1_1_empty_search.html#aefdea5414996cf25ee427ccc1dce6741">SemanticSearchEvaluation.EmptySearch</a>
, <a class="el" href="class_semantic_search_evaluation_1_1_regex_search.html#a5fa167142c637349ab4c32038eeeea56">SemanticSearchEvaluation.RegexSearch</a>
, <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#adcd32a056e0f894aa985a76f0d83c034">SemanticSearchEvaluation.SearchApproach</a>
</li>
<li>GetProcess()
: <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a366eb296136b1d7f1534f6e5f5caf55c">SemanticSearchEvaluation.SearchApproach</a>
</li>
<li>GetQuery()
: <a class="el" href="class_semantic_search_evaluation_1_1_regex_search.html#a58f01357e3e40170e45f89f61710a386">SemanticSearchEvaluation.RegexSearch</a>
</li>
<li>Main()
: <a class="el" href="class_semantic_search_evaluation_1_1_evaluation.html#abb275bbe01879737cf2c34e8ed69a5d8">SemanticSearchEvaluation.Evaluation</a>
</li>
<li>MeasureTime()
: <a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html#a2d24c83a5a22d9be78878aa89d512b09">SemanticSearchEvaluation.ApproachComparison</a>
</li>
<li>PrintResults()
: <a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html#a9fbecd445c3786ddf8bd6d62f0c39941">SemanticSearchEvaluation.ApproachComparison</a>
</li>
<li>QueryWithResultSet()
: <a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a07fcb55356ef76f7f6c24cf7a80a4473">SemanticSearchEvaluation.VirtuosoConnector</a>
</li>
<li>Reindex()
: <a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html#a54c6f787933dd0a0bf5676abeb7c2bf2">SemanticSearchEvaluation.ApproachComparison.ElasticsearchEvaluation</a>
</li>
<li>RemoveGraph()
: <a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a686884bb7084aa981aa60d48bd4344e8">SemanticSearchEvaluation.VirtuosoConnector</a>
</li>
<li>RunAllApproaches()
: <a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html#ae5eadf24b4cf5fa7a8c6ea0196397b0c">SemanticSearchEvaluation.ApproachComparison</a>
</li>
<li>RunEmpty()
: <a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html#a0aad4979e2e91d45b8edf2509ae0162b">SemanticSearchEvaluation.ApproachComparison</a>
</li>
<li>RunTest()
: <a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html#a888f606289608fb4bd112d534c085e1a">SemanticSearchEvaluation.ApproachComparison.ElasticsearchEvaluation</a>
</li>
<li>SaveGraph()
: <a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a82bc20fcf705601a128ce774fde70921">SemanticSearchEvaluation.VirtuosoConnector</a>
</li>
<li>VirtuosoConnector()
: <a class="el" href="class_semantic_search_evaluation_1_1_virtuoso_connector.html#a4ee82f401e325c03eaf3b1abd609c5f8">SemanticSearchEvaluation.VirtuosoConnector</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
